Package net.sourceforge.jiu.apps

# Class jiuawt

java.lang.Object
net.sourceforge.jiu.apps.jiuawt

public class jiuawt extends Object
Graphical user interface application based on the AWT (Abstract Windowing Toolkit, part of Java's standard runtime library since 1.0) that demonstrates features of JIU.

### Memory shortage

One of the errors experienced most frequently with jiuawt is the 'out of memory' error. Note that only whoever starts jiuawt can give it more memory by giving more memory to the Java virtual machine. Example:

    java -mx300m jiu.jar

starts jiuawt and provides it with 300 MB of memory.

### Command line switches

`--dir DIRECTORY`
  set working directory to `DIRECTORY`
`--help`
  print help screen to standard output and exit
`--lang LANGUAGE`
  set language to `LANGUAGE`, where `en` is English, `de` is German and `es` is Spanish
`--system`
  print system information to standard output and exit
`--version`
  print version information to standard output and exit

Author:
  Marco Schmidt

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`jiuawt()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Creates a `JiuAwtFrame` object.
`private static void`
`printVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### jiuawt

private jiuawt()

## Method Details

### main

public static void main(String[] args)
Creates a `JiuAwtFrame` object.

Parameters:
  `args` - program arguments, call jiuawt with `--help` as single argument to get a help screen

### printVersion

private static void printVersion()